Bug 583113 - Error while starting network service soon after fresh installation
Error while starting network service soon after fresh installation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-16 13:39 EDT by Ajeet Singh Raina
Modified: 2014-03-16 23:23 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:39:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ajeet Singh Raina 2010-04-16 13:39:29 EDT
Description of problem:

I downloaded the latest Fedora 13 Beta 32 bit from the official website and installed it over AMD-NPT Hardware Box.The Installation went fine and I can also see it retrieves IP Address through DHCP. But whenever I am trying to restart the network it throws errors.




Version-Release number of selected component (if applicable):Fedora 13 Beta 32 bit


How reproducible:
1.Mount the Fedora 13 CD to ILOM
2.The CD should boot welcome with Install Fedora 13 Beta
3.Select the option
4.Install the OS with default options with DHCP selected for network configuration



Steps to Reproduce:
1.
2.
3.
  
Actual results:

[root@fedora-13 ~]# service network restart
Shutting down interface eth0:  Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.ifcfgrh1 was not provided by any .service files
Error: Device 'eth0' (/org/freedesktop/NetworkManager/Devices/0) disconnecting failed: Cannot disconnect an inactive device.
                                                           [FAILED]
Shutting down interface eth1:  Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.ifcfgrh1 was not provided by any .service files
Error: Device 'eth0' (/org/freedesktop/NetworkManager/Devices/0) disconnecting failed: Cannot disconnect an inactive device.
                                                           [FAILED]
Shutting down loopback interface:  Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.ifcfgrh1 was not provided by any .service files
Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.ifcfgrh1 was not provided by any .service files
Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.ifcfgrh1 was not provided by any .service files
Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.ifcfgrh1 was not provided by any .service files
                                                           [  OK  ]
Bringing up loopback interface:  Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.ifcfgrh1 was not provided by any .service files
Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.ifcfgrh1 was not provided by any .service files
Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.ifcfgrh1 was not provided by any .service files
Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.ifcfgrh1 was not provided by any .service files



Expected results:




Additional info:
Comment 1 Dan Williams 2010-04-29 20:18:55 EDT
Any idea what's going on here Bill?  It could be a dupe of bug 581794 perhaps.
Comment 2 Bill Nottingham 2010-04-30 14:06:28 EDT
What version of NetworkManager and initscripts do you have installed?
Comment 3 Riku Seppala 2010-05-26 08:50:59 EDT
Fresh install of Fedora 13 x86_64. Not sure if this is same bug but network does not work. And networkmanager gui says device is managed by networkmanager.


[root@localhost ~]# service network restart
Shutting down loopback interface:  Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
                                                           [  OK  ]
Bringing up loopback interface:  Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
                                                           [  OK  ]
Bringing up interface eth0:  Error: Connection activation failed: Device not managed by NetworkManager
                                                           [FAILED]
Comment 4 Riku Seppala 2010-05-26 09:12:20 EDT
If I uncheck the "Controlled by networkmanager" I see:

Bringing up interface eth0:  Error: Unknown connection: 5fb06bd0-0bb0-7ffb-45f1-d6edd65f3e03.
                                                           [FAILED]
Comment 5 Bill Nottingham 2010-05-26 15:53:07 EDT
Riku - your first error message comes from bug #589521. As to your second one, can you attach your original ifcfg-eth0 file (before you unchecked the box?)
Comment 6 Riku Seppala 2010-05-27 02:32:28 EDT
Current /etc/sysconfig/network-scripts/ifcfg-eth0 Controlled by networkmanager is checked.

# nVidia Corporation MCP51 Ethernet Controller
DEVICE=eth0
HWADDR=00:1E:68:14:20:1B
ONBOOT=yes
BOOTPROTO=dhcp
TYPE=Ethernet
NM_CONTROLLED=yes
USERCTL=yes
IPV6INIT=no
DEFROUTE=yes
IPV4_FAILURE_FATAL=yes
NAME="System eth0"
UUID=5fb06bd0-0bb0-7ffb-45f1-d6edd65f3e03
PEERDNS=yes
PEERROUTES=yes
Comment 7 Bill Nottingham 2010-05-27 11:53:36 EDT
What's the output of 'nmcli dev list'?
Comment 8 Riku Seppala 2010-05-27 12:43:51 EDT
[root@localhost ~]# nmcli dev list
GENERAL.DEVICE:                 wlan0
GENERAL.TYPE:                   802-11-wireless
GENERAL.DRIVER:                 b43
GENERAL.HWADDR:                 00:1A:73:30:6D:72
GENERAL.STATE:                  unmanaged
CAPABILITIES.CARRIER-DETECT:    no
CAPABILITIES.SPEED:             unknown
WIFI-PROPERTIES.WEP:            yes
WIFI-PROPERTIES.WPA:            yes
WIFI-PROPERTIES.WPA2:           yes
WIFI-PROPERTIES.TKIP:           yes
WIFI-PROPERTIES.CCMP:           yes
GENERAL.DEVICE:                 eth0
GENERAL.TYPE:                   802-3-ethernet
GENERAL.DRIVER:                 forcedeth
GENERAL.HWADDR:                 00:1E:68:14:20:1B
GENERAL.STATE:                  unmanaged
CAPABILITIES.CARRIER-DETECT:    yes
CAPABILITIES.SPEED:             100 Mb/s
WIRED-PROPERTIES.CARRIER:       off
Comment 9 Ajeet Singh Raina 2010-05-27 13:00:32 EDT
Sorry for the long gap after I posted the issue above.

I just wanted to add something to this thread.

All I notice is Red Hat has recently provided with commandline NetworkManager utility. Earlier I used to restart the network through:

#service network restart

and it does configure the network.
Now when I tested with RHEL 6 Beta version it shows a new icon at top right and its network Manager feature.

As usual I ran :

#service network restart

Shutting down interface eth0:  Error org.freedesktop.DBus.Error.ServiceUnknown:
The name com.redhat.ifcfgrh1 was not provided by any .service files
Error: Device 'eth0' (/org/freedesktop/NetworkManager/Devices/0) disconnecting
failed: Cannot disconnect an inactive device.
                                                           [FAILED]
Shutting down interface eth1:  Error org.freedesktop.DBus.Error.ServiceUnknown:
The name com.redhat.ifcfgrh1 was not provided by any .service files
Error: Device 'eth0' (/org/freedesktop/NetworkManager/Devices/0) disconnecting
failed: Cannot disconnect an inactive device.
                                                           [FAILED]
Shutting down loopback interface:  Error
org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.ifcfgrh1 was not
provided by any .service files
Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.ifcfgrh1
was not provided by any .service files
Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.ifcfgrh1
was not provided by any .service files
Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.ifcfgrh1
was not provided by any .service files
                                                           [  OK  ]
Bringing up loopback interface:  Error

But when I Started Network configuration through Network Manager >> Edit Connection >> Detect automatically.
It did run and configured network Successfully..

I think it is not the bug but Network Manager is a new feature introduced in a new RH.But still wonder what about command line network restart feature.
Is this correct way still configuring network?
Comment 10 Ajeet Singh Raina 2010-05-27 13:13:04 EDT
Sorry for the long gap after I posted the issue above.

I just wanted to add something to this thread.

All I notice is Red Hat has recently provided with commandline NetworkManager utility. Earlier I used to restart the network through:

#service network restart

and it does configure the network.
Now when I tested with RHEL 6 Beta version it shows a new icon at top right and its network Manager feature.

As usual I ran :

#service network restart

Shutting down interface eth0:  Error org.freedesktop.DBus.Error.ServiceUnknown:
The name com.redhat.ifcfgrh1 was not provided by any .service files
Error: Device 'eth0' (/org/freedesktop/NetworkManager/Devices/0) disconnecting
failed: Cannot disconnect an inactive device.
                                                           [FAILED]
Shutting down interface eth1:  Error org.freedesktop.DBus.Error.ServiceUnknown:
The name com.redhat.ifcfgrh1 was not provided by any .service files
Error: Device 'eth0' (/org/freedesktop/NetworkManager/Devices/0) disconnecting
failed: Cannot disconnect an inactive device.
                                                           [FAILED]
Shutting down loopback interface:  Error
org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.ifcfgrh1 was not
provided by any .service files
Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.ifcfgrh1
was not provided by any .service files
Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.ifcfgrh1
was not provided by any .service files
Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.ifcfgrh1
was not provided by any .service files
                                                           [  OK  ]
Bringing up loopback interface:  Error

But when I Started Network configuration through Network Manager >> Edit Connection >> Detect automatically.
It did run and configured network Successfully..

I think it is not the bug but Network Manager is a new feature introduced in a new RH.But still wonder what about command line network restart feature.
Is this correct way still configuring network?
Comment 11 Bill Nottingham 2010-05-27 13:43:35 EDT
Dan - any reason the devices in comment #8 would show up as unmanaged?

Ajeet - you need a newer initscripts package, as a start.
Comment 12 Riku Seppala 2010-06-05 04:03:08 EDT
Ping?

err, icon at the taskbar says Unmanaged. When I click on it, it says network management disabled. But net is working now... well I did try dhclient eth0. sorry I'm confused now... hopefully yum update helps.
Comment 13 Riku Seppala 2010-06-07 13:07:37 EDT
http://lists.fedoraproject.org/pipermail/devel/2010-June/137345.html

ok, now I did this:

service NetworkManager stop
rm /var/lib/NetworkManager/NetworkManager.state
service NetworkManager start

and it worked, devices no longer show as unmanaged. Wired connection works automatically.

Though I still cant connect to wireless...
Comment 14 Dan Williams 2010-06-08 16:25:18 EDT
Depends on which RHEL6 snapshot people are using.  If you see:

 Error org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.ifcfgrh1
was not provided by any .service files

that means NM isn't running, which coudl ahve been caused by the crasher from a few months ago.  That fix was:

commit 5a9b7b42d176c2340e146a3e76adfb7d142e02c4
Author: Dan Williams <dcbw@redhat.com>
Date:   Thu Apr 22 14:19:50 2010 -0700

    ifcfg-rh: return valid errors to dbus-glib (rh #581794)

So if your NM version is earlier than git20100422 and you get the "not provided by any service files", that error has been fixed.


For the unmanaged part, /var/log/messages would be helpful here, but if they are unmanaged, that's almost always due to NM_CONTROLLED=no in some ifcfg file.
Comment 15 udo 2010-11-10 12:45:05 EST
The last comment is mostly untrue as NM decides to manage stuff anyway.
Over here it even forgets about my eth0 while a `service network restart` perfectly configures the network.
So on starting NM I lose my eth0. (wired, ipv4 is gone, ipv6 remains partly)

I also see when doing ifup eth0:
+ '[' true = true -a -n 5fb06bd0-0bb0-7ffb-45f1-d6edd65f3e03 ']'
+ nmcli con up uuid 5fb06bd0-0bb0-7ffb-45f1-d6edd65f3e03
Error: Unknown connection: 5fb06bd0-0bb0-7ffb-45f1-d6edd65f3e03.

While that number IS in ifcfg-eth0.
So why is this suddenly popping up?
NM is a buggy p.i.t.a. and I just need the icon. No extra stuff happening to my connections because service network works well enough already.
So is there a workaround for NM please? (i.e.: just an icon with basic info and up/down, not all the 'logic' that NM provides)
Comment 16 udo 2010-11-11 10:14:25 EST
service NetworkManager stop
rm /var/lib/NetworkManager/NetworkManager.state
service NetworkManager start

does not help.
NM does not even know about any connecitons anymore when I click the icon at the top right of the creen to edit connections.
ifup eth0 gives me the same error.

Nov 11 16:07:43 nk2 NetworkManager[16219]:    ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
Nov 11 16:07:43 nk2 NetworkManager[16219]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ... 
Nov 11 16:07:43 nk2 NetworkManager[16219]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-usb0 ... 
Nov 11 16:07:43 nk2 NetworkManager[16219]:    ifcfg-rh:     read connection 'System usb0'
Nov 11 16:07:43 nk2 NetworkManager[16219]:    ifcfg-rh: Ignoring connection 'System usb0' and its device due to NM_CONTROLLED/BRIDGE/VLAN.
Nov 11 16:07:43 nk2 NetworkManager[16219]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-eth0 ... 
Nov 11 16:07:43 nk2 NetworkManager[16219]:    ifcfg-rh:     read connection 'System eth0'
Nov 11 16:07:43 nk2 NetworkManager[16219]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-usb1 ... 
Nov 11 16:07:43 nk2 NetworkManager[16219]:    ifcfg-rh:     warning: NM_CONTROLLED was false but HWADDR or SUBCHANNELS was missing; device will be managed
Nov 11 16:07:43 nk2 NetworkManager[16219]:    ifcfg-rh:     read connection 'System usb1'
Nov 11 16:07:43 nk2 NetworkManager[16219]: <error> [1289488063.68869] [nm-device-ethernet.c:729] real_update_permanent_hw_address(): (usb0): unable to read permanent MAC address (error 0)
Nov 11 16:07:43 nk2 NetworkManager[16219]: <warn> /sys/devices/virtual/net/pan0: couldn't determine device driver; ignoring...
Nov 11 16:07:43 nk2 NetworkManager[16219]: <warn> /sys/devices/virtual/net/vboxnet0: couldn't determine device driver; ignoring...


No erors mentioned about eth0. No configuration of eth0.
Comment 17 Bill Nottingham 2011-02-28 15:10:30 EST
At this point (and apologies for the delay), it's probably best to retry on an up-to-date system, possibly F-14 instead of F-13; there have been fixes to both initscripts and NetworkManager in the interim.
Comment 18 Bug Zapper 2011-06-02 11:14:01 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 udo 2011-06-02 11:19:41 EDT
Dunno where the error is but the NM behaviour is still the same.
Comment 20 udo 2011-06-26 10:44:45 EDT
Or should I change the Fedora version to 15?
I bring up usb0 via the NM icon thingie in F15 and the interface comes up (!) but is given a wrong IP-number. (192.168.2.14 or so instead of 192.168.0.200 as in ifcfg-usb0)
How would I know where to look for this strange behaviour which makes NM absolutely unusable?
NetworkManager-0.8.9997-4.git20110620.fc15.x86_64, so more or less the latest and greatest...
Comment 21 jasonl 2011-08-11 18:33:05 EDT
Same bug... here is what I did.. 

vim /etc/sysconfig/network-script/ifcfg-eth___
I removed the "NM_CONTROLLED=yes" line from every script in order to be able for the network daemon to control it.

service NetworkManager stop
chkconfig NetworkManager off
service network start
chkconfig network start

and Voila!!!!!


everything is working now.....
Comment 22 jasonl 2011-08-11 18:35:43 EDT
chkconfig network on

Sorry !
Comment 23 Wiliam 2011-09-16 01:02:02 EDT
Hi Jasonl,

I am a new for Linux world.

I just install new Red hat 6.1 and I got same problem.

I already try to stop the NM and eth0 successfully up.

But the thing comes when I try to get eth5 up (interface from another NIC card in the same server). It can't be ping although the interface can be up.

And I try to shutdown my eth0, and surprisingly eth5 can be ping.

Do have any bug fix for this? I am pretty sure that this is a bug because I do another installation with another server which work without any issue (server with 2 NIC card also).

Please help me out of this problem.

THanks,

Wiliam
Comment 24 shkumesh 2012-06-18 02:57:27 EDT
Please check your VM hosted server settings , there may be more than one network card in your VM hosted server or bridged to another network
Comment 25 Fedora End Of Life 2012-08-16 15:39:10 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.